Send an email
curl --request POST \
--url https://api.xem.email/api/v1/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
123
],
"to": "<string>",
"bcc": "<string>",
"cc": "<string>",
"html": "<string>",
"replyTo": "<string>",
"scheduleAt": "<string>",
"subject": "<string>",
"templateId": "<string>",
"test": true
}
'import requests
url = "https://api.xem.email/api/v1/email"
payload = {
"data": [123],
"to": "<string>",
"bcc": "<string>",
"cc": "<string>",
"html": "<string>",
"replyTo": "<string>",
"scheduleAt": "<string>",
"subject": "<string>",
"templateId": "<string>",
"test": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [123],
to: '<string>',
bcc: '<string>',
cc: '<string>',
html: '<string>',
replyTo: '<string>',
scheduleAt: '<string>',
subject: '<string>',
templateId: '<string>',
test: true
})
};
fetch('https://api.xem.email/api/v1/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Email
Send an email
Send an email using the provided template and variables
POST
/
email
Send an email
Authorizations
BearerAuthApiKeyAuth
Enter the token with the Bearer: prefix, e.g. "Bearer abcde12345".
Body
application/json
Response
200 - application/json
OK
Was this page helpful?
⌘I

